commit:     1143a532982140a22df88bdfc5d3adde40394686
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Mon Apr  1 12:49:12 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun Apr 14 15:55:45 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1143a532

app-text/cedilla: EAPI8 bump, fix LICENSE

Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-text/cedilla/cedilla-0.7-r1.ebuild | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/app-text/cedilla/cedilla-0.7-r1.ebuild 
b/app-text/cedilla/cedilla-0.7-r1.ebuild
new file mode 100644
index 000000000000..ba9a1e203dc8
--- /dev/null
+++ b/app-text/cedilla/cedilla-0.7-r1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="UTF-8 to postscript converter"
+HOMEPAGE="http://www.pps.jussieu.fr/~jch/software/cedilla/
+       https://github.com/jech/cedilla";
+SRC_URI="http://www.pps.jussieu.fr/~jch/software/files/${P}.tar.gz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="dev-lisp/clisp"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}"/cedilla-gentoo-r1.patch )
+
+src_compile() {
+       ./compile-cedilla || die "Compile failed."
+}
+
+src_install() {
+       sed "s#${ED}##g" -i cedilla || die "sed failed"
+       dodir /usr/share/man/man1/
+
+       ./install-cedilla || die "Install failed."
+
+       einstalldocs
+}

Reply via email to